summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMicah Lee <micah@micahflee.com>2017-05-22 14:07:25 -0700
committerMicah Lee <micah@micahflee.com>2017-05-22 14:07:25 -0700
commitf1c783cf639593e37f71c5988023d45690051ff3 (patch)
treefedb927b7ef34f7936536d1016b94d6cc65fb081
parentd8af493ae00efa912fab25db537826dffc906e34 (diff)
parent5567e435dddb5ccd6c1083da8396ab3dd86bc101 (diff)
downloadonionshare-f1c783cf639593e37f71c5988023d45690051ff3.tar.gz
onionshare-f1c783cf639593e37f71c5988023d45690051ff3.zip
Merge branch '387-build-script-logic-fix' of https://github.com/mig5/onionshare into mig5-387-build-script-logic-fix
-rwxr-xr-xinstall/build_deb.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/install/build_deb.sh b/install/build_deb.sh
index 05a37822..aec026a4 100755
--- a/install/build_deb.sh
+++ b/install/build_deb.sh
@@ -12,10 +12,14 @@ rm -r deb_dist >/dev/null 2>&1
python3 setup.py --command-packages=stdeb.command bdist_deb
# return install instructions if onionshare builds properly
-echo ""
if [[ $? -eq 0 ]]; then
+ # The build process in stdeb's util.py renames .dev to ~dev
+ # Adjust it here for the purposes of displaying the right filename
+ VERSION="${VERSION/.dev/~dev}"
+ echo ""
echo "To install, run:"
echo "sudo dpkg -i deb_dist/onionshare_$VERSION-1_all.deb"
else
echo "OnionShare failed to build!"
+ exit 1
fi